import { Plugin, UserConfig } from 'vite';
import { ViteBurnerInlineConfig } from '../types';
import { WatchManager } from './watch';
declare module 'vite' {
    interface ViteDevServer {
        watchManager: WatchManager;
    }
}
export declare const hmrPluginName = "viteburner:hmr";
export declare const virtualModuleId = "virtual:viteburner-entry";
export declare function getDefaultConfig(): UserConfig;
export declare function viteburnerPlugin(inlineConfig: ViteBurnerInlineConfig): Plugin;
